
VIRTUAL CREDIT CARD - Bug #16673

iOS [Transaction History][Credit Card Pending Transaction] Handle the credit card pending

transaction

09 June 2023 10:32 AM - hsulynn pang

Status: Closed Start date: 09 June 2023

Priority: Normal Due date:  

Assignee: hsulynn pang % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Non-treats:

-call the same existing service getCardHistory (for both

old app and new app) to BE

-display pending transaction in FE if got pending transaction data returned by BE

Treats:

(1)old app- /treats/getCustomerTransactionHistory call to old BE

(leave it as existing NO CHANGE, no pending transaction will be returned by BE because it's old BE response)

(2)new app- /treats/getCustomerTransactionHistoryV2 call to new BE

-display pending transaction in new app if got pending transaction data returned by BE

History

#1 - 12 June 2023 04:55 PM - He Xi Yeo

- Status changed from New to Resolved

- Assignee changed from He Xi Yeo to hsulynn pang

- % Done changed from 0 to 100

#2 - 13 June 2023 10:45 AM - hsulynn pang

- File SIT Document_Pending transaction v1.0.xlsx added

- Status changed from Resolved to Pending Close

tested

#3 - 17 July 2023 09:37 AM - hsulynn pang

- File uat progress pending.PNG added

- Status changed from Pending Close to Closed

tested by user

Files

screen.PNG 32.4 KB 09 June 2023 hsulynn pang

SIT Document_Pending transaction v1.0.xlsx 1.69 MB 13 June 2023 hsulynn pang

uat progress pending.PNG 36.2 KB 17 July 2023 hsulynn pang
